<?php

namespace Lumav\EveryPay\Model\Form;

abstract class AbstractData
{
    /**
     * @var \Magento\Sales\Api\OrderRepositoryInterface
     */
    protected $orderRepository;

    /**
     * @var \Lumav\EveryPay\Model\Config
     */
    protected $config;

    /**
     * @param \Magento\Sales\Api\OrderRepositoryInterface $orderRepository
     * @param \Lumav\EveryPay\Model\Config $config
     */
    public function __construct(
        \Magento\Sales\Api\OrderRepositoryInterface $orderRepository,
        \Lumav\EveryPay\Model\Config $config
    ) {
        $this->orderRepository = $orderRepository;
        $this->config = $config;
    }

    /**
     * @param int $orderID
     * @return mixed
     */
    public abstract function getFields($orderID);
}