<?php

namespace Lumav\EveryPay\Cron;

class MethodUpdater
{
	/**
	 * @var \Lumav\EveryPay\Model\Gateway
	 */
	protected $api;

	/**
	 * @param \Lumav\EveryPay\Model\Gateway $api
	 */
	public function __construct(
		\Lumav\EveryPay\Model\Gateway $api
	) {
		$this->api = $api;
	}

	/**
	 * Update payment methods
	 *
	 * @return void
	 */
	public function execute() {
		$this->api->updatePaymentMethods();
	}
}