<?php

namespace Lumav\EveryPay\Model\Adminhtml\Source;

use Magento\Framework\Option\ArrayInterface;

class Environment implements ArrayInterface
{
    const ENVIRONMENT_PRODUCTION = 'live';
    const ENVIRONMENT_TEST = 'test';

    /**
     * Possible environment types
     *
     * @return array
     */
    public function toOptionArray()
    {
        return [
            [
                'value' => self::ENVIRONMENT_TEST,
                'label' => strtoupper(self::ENVIRONMENT_TEST),
            ],
            [
                'value' => self::ENVIRONMENT_PRODUCTION,
                'label' => strtoupper(self::ENVIRONMENT_PRODUCTION)
            ]
        ];
    }
}
